diff_iterator.hpp File Reference
`#include <cassert>`
`#include <iterator>`
`#include <type_traits>`
`#include <osmium/osm/diff_object.hpp>`
Include dependency graph for diff_iterator.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::DiffIterator< TBasicIterator >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

template<typename TBasicIterator >
DiffIterator< TBasicIterator > | osmium::make_diff_iterator (TBasicIterator begin, TBasicIterator end)